## TrackerSparqlBuffer TrackerSparqlBuffer |

## Functions

TrackerSparqlBuffer * | tracker_sparql_buffer_new ()
gboolean | tracker_sparql_buffer_flush ()
void | tracker_sparql_buffer_push ()
TrackerTask * | tracker_sparql_buffer_push_finish ()
TrackerTask * | tracker_sparql_task_new_take_sparql_str ()
TrackerTask * | tracker_sparql_task_new_with_sparql_str ()

## Description

## Functions

### tracker_sparql_buffer_new ()

    TrackerSparqlBuffer *
    tracker_sparql_buffer_new (TrackerSparqlConnection *connection,
                               guint limit);

### tracker_sparql_buffer_flush ()

    gboolean
    tracker_sparql_buffer_flush (TrackerSparqlBuffer *buffer,
                                 const gchar *reason);

### tracker_sparql_buffer_push ()

    void
    tracker_sparql_buffer_push (TrackerSparqlBuffer *buffer,
                                TrackerTask *task,
                                gint priority,
                                GAsyncReadyCallback cb,
                                gpointer user_data);

### tracker_sparql_buffer_push_finish ()

    TrackerTask *
    tracker_sparql_buffer_push_finish (TrackerSparqlBuffer *buffer,
                                       GAsyncResult *res,
                                       GError **error);

### tracker_sparql_task_new_take_sparql_str ()

    TrackerTask *
    tracker_sparql_task_new_take_sparql_str
                                   (GFile *file,
                                    gchar *sparql_str);

### tracker_sparql_task_new_with_sparql_str ()

    TrackerTask *
    tracker_sparql_task_new_with_sparql_str
                                   (GFile *file,
                                    const gchar *sparql_str);

## Types and Values